.TH "omsb::MongoDbHandler" 3 "Fri Jan 7 2022" "ombs-OnlineMovieBookingSystem" \" -*- nroff -*-
.ad l
.nh
.SH NAME
omsb::MongoDbHandler \- this is the class to allow creation of controller objects as needed for ombs mongodb database  

.SH SYNOPSIS
.br
.PP
.PP
\fC#include <mongodb_handler\&.hpp>\fP
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "\fBMongoDbHandler\fP ()"
.br
.RI "Construct a new Mongo Db Handler object\&. "
.ti -1c
.RI "bool \fBAddTheaterToDb\fP (const std::string &theater_name)"
.br
.RI "creates a new theater in ombs database "
.ti -1c
.RI "bool \fBAddMovieToDb\fP (const std::string &movie_title)"
.br
.RI "creates a new movie in ombs database\&. "
.ti -1c
.RI "json::JSON \fBGetAllTheaters\fP ()"
.br
.RI "Get all present theaters in the database\&. "
.ti -1c
.RI "json::JSON \fBGetAllMovies\fP ()"
.br
.RI "Get all present movies in the database\&. "
.ti -1c
.RI "bool \fBAddMovieShowToDb\fP (const std::string &theater_id, const std::string &movie_id)"
.br
.RI "creates a new movie show in ombs database\&. By default, 20 avaialble seats are created for a given couple of movie and theater\&. "
.ti -1c
.RI "json::JSON \fBGetAllMovieShows\fP ()"
.br
.RI "Get the All Movie Shows that has at least one avaialbale seat for booking\&. "
.ti -1c
.RI "json::JSON \fBGetTheatersByMovie\fP (const std::string &movie_id)"
.br
.RI "Get all Theaters that are showing a particular movie\&. "
.ti -1c
.RI "json::JSON \fBGetSeatsByMovieAndByTheater\fP (const std::string &movie_id, const std::string &theater_id)"
.br
.RI "Get all availabe seats fior a given movie in given theater\&. "
.ti -1c
.RI "bool \fBBookSeats\fP (const std::vector< std::string > &seatsIdsList)"
.br
.RI "allow the user to book a list of available seats\&. "
.ti -1c
.RI "bool \fBDropDatabase\fP ()"
.br
.RI "used by admin user to reset datbase\&. "
.in -1c
.SH "Detailed Description"
.PP 
this is the class to allow creation of controller objects as needed for ombs mongodb database 


.SH "Constructor & Destructor Documentation"
.PP 
.SS "omsb::MongoDbHandler::MongoDbHandler ()"

.PP
Construct a new Mongo Db Handler object\&. 
.SH "Member Function Documentation"
.PP 
.SS "bool omsb::MongoDbHandler::AddMovieShowToDb (const std::string & theater_id, const std::string & movie_id)"

.PP
creates a new movie show in ombs database\&. By default, 20 avaialble seats are created for a given couple of movie and theater\&. 
.PP
\fBParameters\fP
.RS 4
\fItheater_id\fP : theater id where the movie show will occure\&. 
.br
\fImovie_id\fP : movie id that will be shown\&. 
.RE
.PP
\fBReturns\fP
.RS 4
true : if the show has been successfuly created\&. 
.PP
false : if the show has not been created\&. 
.RE
.PP

.SS "bool omsb::MongoDbHandler::AddMovieToDb (const std::string & movie_title)"

.PP
creates a new movie in ombs database\&. 
.PP
\fBParameters\fP
.RS 4
\fImovie_title\fP 
.RE
.PP
\fBReturns\fP
.RS 4
true : if the movie has been successfuly created\&. 
.PP
false : if the movie creation is not possible\&. 
.RE
.PP

.SS "bool omsb::MongoDbHandler::AddTheaterToDb (const std::string & theater_name)"

.PP
creates a new theater in ombs database 
.PP
\fBParameters\fP
.RS 4
\fItheater_name\fP : the desired theater name for the new theater to create 
.RE
.PP
\fBReturns\fP
.RS 4
true : if the theater has been successfuly created 
.PP
false : if the theater creation is not possible 
.RE
.PP

.SS "bool omsb::MongoDbHandler::BookSeats (const std::vector< std::string > & seatsIdsList)"

.PP
allow the user to book a list of available seats\&. 
.PP
\fBParameters\fP
.RS 4
\fIseatsIdsList\fP : list of desired seats id\&. 
.RE
.PP
\fBReturns\fP
.RS 4
true : if all desired seats have been successfuly booked\&. 
.PP
false : if at least one desired seats is not more available or does not exists, or all seats does not belong to same movie show\&. 
.RE
.PP

.SS "bool omsb::MongoDbHandler::DropDatabase ()"

.PP
used by admin user to reset datbase\&. 
.PP
\fBReturns\fP
.RS 4
true : if the database has been successfuly reseted\&. 
.PP
false : if teh database can not be reseted\&. 
.RE
.PP

.SS "json::JSON omsb::MongoDbHandler::GetAllMovies ()"

.PP
Get all present movies in the database\&. 
.PP
\fBReturns\fP
.RS 4
json::JSON : json file representing a list of all movies in the database\&. 
.RE
.PP

.SS "json::JSON omsb::MongoDbHandler::GetAllMovieShows ()"

.PP
Get the All Movie Shows that has at least one avaialbale seat for booking\&. 
.PP
\fBReturns\fP
.RS 4
json::JSON : json file representing a list of all available movie shows that have at elast one availabe seat to book in the database\&. 
.RE
.PP

.SS "json::JSON omsb::MongoDbHandler::GetAllTheaters ()"

.PP
Get all present theaters in the database\&. 
.PP
\fBReturns\fP
.RS 4
json::JSON : json file representing a list of all theaters in the database\&. 
.RE
.PP

.SS "json::JSON omsb::MongoDbHandler::GetSeatsByMovieAndByTheater (const std::string & movie_id, const std::string & theater_id)"

.PP
Get all availabe seats fior a given movie in given theater\&. 
.PP
\fBParameters\fP
.RS 4
\fImovie_id\fP : movie id wanted by user\&. 
.br
\fItheater_id\fP : theater id wanted by user\&. 
.RE
.PP
\fBReturns\fP
.RS 4
json::JSON 
.RE
.PP

.SS "json::JSON omsb::MongoDbHandler::GetTheatersByMovie (const std::string & movie_id)"

.PP
Get all Theaters that are showing a particular movie\&. 
.PP
\fBParameters\fP
.RS 4
\fImovie_id\fP : movie id wanted by user\&. 
.RE
.PP
\fBReturns\fP
.RS 4
json::JSON : json file representing a list of all theaters showing a particular movie\&. 
.RE
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for ombs-OnlineMovieBookingSystem from the source code\&.
